<template>
  <v-alert
    class="alert-box"
    :type="alert.type"
    :value="alert.show"
    >{{alert.text}}</v-alert>
</template>

<script>
export default {
    props : ['alert'],
    watch :{
        alert(){
            setTimeout(()=>{
                alert.show = false;
            }, 1000);
        }
    }
}
</script>

<style>
    .alert-box{
        position: fixed!important;
        right: 10px;
        top: 10px;
        z-index : 10;
    }
</style>